### org.jfree.layouting.renderer.model.table

# Class TableColumnNode

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNode`
  - - `org.jfree.layouting.renderer.model.SpacerRenderNode`
    - - `org.jfree.layouting.renderer.model.table.TableColumnNode`

Implemented Interfaces:
  Cloneable

`public class TableColumnNode`
`extends SpacerRenderNode`

A table column defines a limited set of style properties, which may be applied to the cells.

Border, if the border-model is the collapsing border model. Background, if both cell and row have a transparent background Width, is a minimum width. If the cell exceeds that size, the table cannot be rendered in incremental mode anymore. We may have to use the validation run to check for that rule. Visiblity, if set to collapse, the column will not be rendered. Not yet.

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

  `HORIZONTAL_AXIS`, `VERTICAL_AXIS`

  ## Constructor Summary

  `TableColumnNode(BoxDefinition definition)`

  `TableColumnNode(BoxDefinition definition, LayoutContext context)`

  ## Method Summary

  `BoxDefinition`

  `getBoxDefinition()`

  `int`

  `getColspan()`

  ### Methods inherited from class org.jfree.layouting.renderer.model.SpacerRenderNode

  `isDiscardable`, `isEmpty`, `isIgnorableForRendering`

  ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

  `appyStyle`, `clone`, `derive`, `deriveFrozen`, `findNodeById`, `freeze`, `getAlignmentAdjust`, `getAlignmentAdjustResolved`, `getAlignmentBaseline`, `getBaselineShift`, `getBaselineShiftResolved`, `getChangeTracker`, `getComputedLayoutProperties`, `getDimension`, `getEffectiveMarginBottom`, `getEffectiveMarginTop`, `getHeight`, `getInstanceId`, `getLayoutContext`, `getLogicalPage`, `getMajorAxis`, `getMaximumBoxWidth`, `getMinimumChunkWidth`, `getMinorAxis`, `getNamespace`, `getNext`, `getNodeLayoutProperties`, `getNormalFlow`, `getPageContext`, `getParent`, `getParentBlockContext`, `getPosition`, `getPrev`, `getStickyMarker`, `getTagName`, `getVerticalAlignment`, `getVisibleNext`, `getVisiblePrev`, `getWidth`, `getX`, `getY`, `hibernate`, `isDirectionLTR`, `isDirty`, `isDiscardable`, `isEmpty`, `isFrozen`, `isHibernated`, `isIcmMetricsFinished`, `isIgnorableForRendering`, `isOpen`, `normalizeAlignment`, `setComputedLayoutProperties`, `setDimension`, `setDirty`, `setHeight`, `setHibernated`, `setIcmMetricsFinished`, `setMajorAxis`, `setMaximumBoxWidth`, `setMinimumChunkWidth`, `setMinorAxis`, `setNext`, `setParent`, `setPosition`, `setPrev`, `setStickyMarker`, `setWidth`, `setX`, `setY`, `updateChangeTracker`

## Constructor Details

### TableColumnNode

    public TableColumnNode(BoxDefinition definition)

### TableColumnNode

    public TableColumnNode(BoxDefinition definition,
                           LayoutContext context)

## Method Details

### getBoxDefinition

    public BoxDefinition getBoxDefinition()

### getColspan

    public int getColspan()